org.apache.sysds.runtime.meta

## Class MetaDataFormat

- java.lang.Object
- - org.apache.sysds.runtime.meta.MetaData
  - - org.apache.sysds.runtime.meta.MetaDataFormat

    public class MetaDataFormat
    extends MetaData

### Constructor Summary

Constructors
Constructor and Description
`MetaDataFormat(DataCharacteristics dc, Types.FileFormat fmt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`Types.FileFormat` `getFileFormat()`

### Methods inherited from class org.apache.sysds.runtime.meta.MetaData

`equals, getDataCharacteristics, hashCode, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetaDataFormat

    public MetaDataFormat(DataCharacteristics dc,
                          Types.FileFormat fmt)

### Method Detail

#### getFileFormat

    public Types.FileFormat getFileFormat()

#### clone

    public Object clone()

Overrides:
  `clone` in class `MetaData`